<?php
/*
// "Frontpage Slideshow" for Joomla! 1.0.x - Version 1.6 (vBulletin Version)
// Copyright (c) 2006 - 2007
// ***Last update: June 15th, 2007***
*/

/*
PLEASE READ THESE NOTES:
- Adjust the parameters below per your needs.
- Make sure you choose a FPSS template and set the width/height values.
- Some of the following parameters have a yes/no state, which is defined by 1/0 (binary style). 1 means yes and 0 means no.
*/

// vBulletin Settings
$forumid				= array(26);			// Set forum IDs here.
$limit					= '6';				// Limit the displayed slides
$fpssfolder				= 'fpss';			// Path to FPSS folder, relative to vBulletin root.

// Frontpage Slideshow (FPSS) Parameter Settings - START here
$width					= 600;			// FPSS width in pixels
$height					= 300;			// FPSS height in pixels
$use_mootools 			= 1;			// Use Mootools engine or not. If not, the moo.fx engine will be used.
$fpss_template 			= 'fsd'; 		// Available templates on 1.6: default, fsd, jj_obs, jj_rasper, tt, uncut
$sidebar_width 			= 140;			// What is the sidebar width in pixels for the templates that have one?
$hide_nav 				= 0; 			// Hide the navigation bar?
$delay					= 6000;			// Delay between slides in milliseconds. 1000 means 1 second.
$speed					= 750;			// Rotation speed in milliseconds. 1000 means 1 second.
$open_links 			= 0;			// Should all link open to a new window?
$chars					= 0;			// Character limit for the slide text, e.g. 100 is 100 characters limit.
$words					= 50;			// Word limit for the slide text, e.g. 20 is 20 words limit
// Mootools specific settings
$mtCTRloadingTime 		= 500;			// Preloader image delay time in milliseconds. 1000 means 1 second.
$mtCTRrotateAction 		= 'click';		// Slides should switch on mouse click or when mouse hovers above navigation?
										// Available options: click, mouseover									
$mtCTRtext_effect 		= 0;			// Use text transition effect?
$mtCTRtransitionText 	= 1000;			// Text transition effect time in milliseconds. 1000 means 1 second.
// Content display settings
$show_title 			= 1;			// Show the slide title?
$show_introtext			= 1;			// Show the slide text?
$show_readmore		 	= 0;			// Show the slide 'read more' link?
// Frontpage Slideshow (FPSS) Parameter Settings - END here

// Language variables for Play/Pause
DEFINE("_FPSS_MOD_PLAY","Play");
DEFINE("_FPSS_MOD_PAUSE","Pause");
DEFINE("_FPSS_MOD_LOADING","Loading...");
DEFINE("_FPSS_MOD_PREV","Previous");
DEFINE("_FPSS_MOD_NEXT","Next");
DEFINE("_FPSS_MOD_PLAYPAUSE","Play/Pause Slide");
DEFINE("_FPSS_READMORE","Read more...");



/* ------------------------------ NOTHING TO CHANGE BELOW THIS LINE ------------------------------ */
if ($open_links) {$target = ' target="_blank"';}
if ($mtCTRtext_effect) {$mtCTRtext_effect == 'true';} else {$mtCTRtext_effect == 'false';}

// vBulletin: Parse BBCode
if (!is_object($bbcode_parser)){
	require_once('./includes/class_bbcode.php');
	$bbcode_parser =& new vB_BbCodeParser($vbulletin, fetch_tag_list());
}

?>

<!-- JoomlaWorks "Frontpage Slideshow" for Joomla 1.0.x (v1.6 rev.1) starts here -->
<script language="javascript" type="text/javascript">
<!--
var embedFPSSCSS = '<' + 'style type="text/css" media="screen">'
+ '@import "<?php echo $fpssfolder;?>/mod_fpslideshow/<?php echo $fpss_template; ?>/mod_fpslideshow.css";'
<?php
if ($hide_nav && $fpss_template != "fsd") {
$sidebar_width = 0;
echo "+ '#navi-outer {display:none;}'";
}
?>
+ '#fpss-container {width:<?php echo $width; ?>px;}'
+ '#fpss-slider, #slide-loading, .slide {width:<?php echo $width; ?>px;height:<?php echo $height; ?>px;}'
+ '#slide-outer, #slide-outer .slide-inner {height:<?php echo $height; ?>px;}'
+ '#navi-outer {width:<?php echo $width; ?>px;}'
+ '#slide-outer .slide-inner a.fpss_img span span span {background:none;}'

<?php if ($mtCTRtext_effect) { ?>
+ '.slidetext {padding-bottom:24px;}'
<?php } ?>

<?php if ($fpss_template == "uncut" && !$hide_nav) { ?>
+ '#fpss-container {width:<?php echo $width+$sidebar_width-4; ?>px;}'
+ '#slide-loading {width:<?php echo $width; ?>px;height:<?php echo $height; ?>px;margin-left:<?php echo $sidebar_width; ?>px}'
+ '.slide {left:<?php echo $sidebar_width; ?>px;}'
+ '#navi-outer {height:<?php echo $height; ?>px;width:<?php echo $sidebar_width; ?>px;}'
<?php } ?>

<?php if ($fpss_template == "fsd") { ?>
+ '#fpss-container {width:<?php echo $width+$sidebar_width; ?>px;}'
+ '.fpss_introtext {width:<?php echo $sidebar_width-8; ?>px;height:<?php echo $height-70; ?>px;}'
+ '#slide-loading {margin-left:<?php echo $sidebar_width; ?>px}'
+ '.slide {width:<?php echo $width+$sidebar_width; ?>px;}'
+ '#slide-outer .slide-inner a.fpss_img {display:block;margin:0px 0px 0px <?php echo $sidebar_width; ?>px;padding:16px 0px;border-left:1px solid #7b7b7b;overflow:hidden;}'
+ '#slide-outer .slide-inner a.fpss_img span {display:block;margin:0px 0px;overflow:hidden;height:<?php echo $height-32; ?>px;position:relative;}'
+ '#slide-outer .slide-inner a.fpss_img span span {margin:0px;}'
+ '#slide-outer .slide-inner a.fpss_img span span span {background:url(<?php echo $fpssfolder;?>/mod_fpslideshow/<?php echo $fpss_template; ?>/readmore.png) no-repeat right bottom;}'
+ '#slide-outer .slide-inner a.fpss_img span span span img {display:none;}'
+ '#navi-outer {width:<?php echo $sidebar_width; ?>px;overflow:hidden;display:block;}'
<?php } ?>

<?php if (!$show_title && !$show_section_title && !$show_category_title && !$show_introtext && !$show_readmore) { ?>
+ '.fpss_introtext {display:none;}'
<?php } ?>
+ '</' + 'style>';
document.write(embedFPSSCSS);
-->
</script>
<!--[if lt IE 7]>
<style type="text/css" media="screen">
html {filter:expression(document.execCommand("BackgroundImageCache", false, true));}
<?php if ($fpss_template == 'fsd' && !$hide_nav) { ?>
#slide-outer .slide-inner a.fpss_img span span span {background:url(<?php echo $fpssfolder;?>/mod_fpslideshow/<?php echo $fpss_template; ?>/readmore_ie.png) no-repeat right bottom;}
<?php } ?>
</style>
<![endif]-->
<?php if ($use_mootools) { ?>
<script language="javascript" type="text/javascript" src="<?php echo $fpssfolder;?>/mod_fpslideshow/mootools-fpss.php"></script>
<script type="text/javascript">
var CTRloadingTime = <?php echo $mtCTRloadingTime; ?>;
var CTRslideInterval = <?php echo $delay; ?>;
var CTRtransitionDuration = <?php echo $speed; ?>;
var CTRtransitionText = <?php echo $mtCTRtransitionText; ?>;
var CTRrotateAction = '<?php echo $mtCTRrotateAction; ?>';
var CTRtext_effect = <?php echo $mtCTRtext_effect; ?>;
<?php if ($fpss_template == 'jj_obs') { ?>
var FPSSplay = "<img src=\"<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/play.gif\" alt=\"<?php echo _FPSS_MOD_PLAYPAUSE; ?>\" style=\"width:12px;height:12px;\" />";
var FPSSpause = "<img src=\"<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/pause.gif\" alt=\"<?php echo _FPSS_MOD_PLAYPAUSE; ?>\" style=\"width:12px;height:12px;\" />";
<?php } else { ?>
var FPSSplay = "<?php echo _FPSS_MOD_PLAY; ?>";
var FPSSpause = "<?php echo _FPSS_MOD_PAUSE; ?>";
<?php } ?>	
</script>
<?php } else { ?>
<script language="javascript" type="text/javascript" src="<?php echo $fpssfolder;?>/mod_fpslideshow/fpss<?php if ($fpss_template=='uncut'){echo '_'.$fpss_template.'';} ?>.php"></script>
<script language="javascript" type="text/javascript">
var speed_delay = <?php echo $delay; ?>;
var slide_speed = <?php echo $speed; ?>;
<?php if ($fpss_template == 'jj_obs') { ?>
var FPSSplay = "<img src=\"<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/play.gif\" alt=\"<?php echo _FPSS_MOD_PLAYPAUSE; ?>\" style=\"width:12px;height:12px;\" />";
var FPSSpause = "<img src=\"<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/pause.gif\" alt=\"<?php echo _FPSS_MOD_PLAYPAUSE; ?>\" style=\"width:12px;height:12px;\" />";
<?php } else { ?>
var FPSSplay = "<?php echo _FPSS_MOD_PLAY; ?>";
var FPSSpause = "<?php echo _FPSS_MOD_PAUSE; ?>";
<?php } ?>
var FPSSplaytitle = "<?php echo _FPSS_MOD_PLAY; ?>";
var FPSSpausetitle = "<?php echo _FPSS_MOD_PAUSE; ?>";
</script>
<?php } ?>
<div id="fpss-container" <?php if ($moduleclass_sfx) { ?>class="<?php echo $moduleclass_sfx; ?>"<?php } ?>>
  <div id="fpss-slider">
    <div id="slide-loading"></div>
    <div id="slide-wrapper">
      <div id="slide-outer">
        <?php
// Start loop
$forumid = implode(',',$forumid);
$getnews = $db->query_read("SELECT threadid from ".TABLE_PREFIX."thread WHERE attach !='0' AND forumid in($forumid) ORDER by sticky DESC, threadid DESC LIMIT $limit");
while ($news = $db->fetch_array($getnews)) {
	$myid[]=$news['threadid'];
}

$div_id = 1;
if ($myid) {
foreach ($myid as $threadid) {
	$getpics = $db->query_read("SELECT t.threadid as tid, t.title as title,t.replycount as rcount, p.pagetext as pagetext,a.attachmentid as attach,f.forumid as forumid,f.title as forum from ".TABLE_PREFIX."thread as t
	LEFT JOIN ".TABLE_PREFIX."post as p on(t.firstpostid=p.postid)
	LEFT JOIN ".TABLE_PREFIX."attachment as a on(a.postid=p.postid)
	LEFT JOIN ".TABLE_PREFIX."forum as f on(t.forumid=f.forumid)
	where t.threadid='$threadid' 
	ORDER BY attach DESC
	LIMIT 1");

	while ($pic = $db->fetch_array($getpics)) {
		$replies=$pic['rcount'];
		if ($replies=='1') {
			$update="(1 update)";
		} elseif ($replies>'1') {
			$update="($replies updates)";
		} else {
			$update="";
		}
		$pic['pagetext'] = $bbcode_parser->do_parse($pic['pagetext']);
		
		// make compatible to FPSS
		$link = "showthread.php?t=".$threadid."";
		$imagepath = "attachment.php?attachmentid=".$pic['attach'];
		$titleContent = ucwords($pic['title']);
		$introtext = $pic['pagetext'];
	
		 // clean images
		 $introtext = preg_replace("/<img.+?>/", "", $introtext);
		 // HTML cleanup
		 if ($striptags) {
			$introtext = strip_tags($introtext, $allowed_tags);
		 }
		 // if character limitation is defined
		 if ($chars) { 
		   if(function_exists("mb_string")) {
				$introtext = mb_substr($introtext, 0, $chars).'...'; 
			} else {
				$introtext = substr($introtext, 0, $chars).'...';
			}
		 }
		 // if word limitation is defined
		 if ($words) {
			$word_arr = str_word_count($introtext, 2);
			$c = 0;
			foreach ($word_arr AS $k => $v) {
				if ($c == $words) {
					if(function_exists("mb_string")) {
						$introtext = mb_substr($introtext, 0, $k).'...';
					} else {
						$introtext = substr($introtext, 0, $k).'...';
					}
					break;
				}
				$c++;
			}
		 }	
	
		$html = "<!-- FPSS slide-->\n<div class=\"slide\"><div class=\"slide-inner\"><a".$target." class=\"fpss_img\" href=\"".$link."\"><span><span style=\"background:url(".$imagepath.") no-repeat;\"><span><img src=\"".$imagepath."\" alt=\"FPSS slide image\" /></span></span></span></a><div class=\"fpss_introtext\"><div class=\"slidetext\">";
		if ($show_title) {
			$html .= "<h1><a".$target." href=\"".$link."\">".$titleContent."</a></h1>";
		}
		if ($show_introtext) {	
			$html .= '<p>'.$introtext.'</p>';
		}
		if ($show_readmore) {
			$html .= "<a".$target." class=\"readon\" href=\"".$link."\">"._FPSS_READMORE."</a>";
		}
		$html .= "</div></div></div></div>\n\n";
		echo $html;
		$div_id++;
	}
}
$db->free_result($getpics);
unset($pic);
$db->free_result($getnews);
unset($news);
// End loop
} else {
	echo "<b>Please select a forum ID!</b>";
}
?>
      </div>
    </div>
  </div>
  <div id="navi-outer">
    <div class="ul_container">
      <ul>
        <?php if ($fpss_template != 'jj_obs') { ?>
        <?php if ($use_mootools) { ?>
        <li class="noimages"><a id="fpss-container_prev" href="javascript:void(0);" class="button2" title="<?php echo _FPSS_MOD_PREV; ?>">&laquo;</a></li>
        <?php } else { ?>
        <li class="noimages"><a id="fpss-container_prev" href="javascript:void(0);" onclick="showPrev();clearSlide();" title="<?php echo _FPSS_MOD_PREV; ?>">&laquo;</a></li>
        <?php } ?>
        <?php } ?>
        <?php
		$div_id = 1;
		//unset($myid);
		if ($myid) {
		foreach ($myid as $key => $threadid) {
			$getpics = $db->query_read("SELECT t.threadid as tid, t.title as title,t.replycount as rcount, p.pagetext as pagetext,a.attachmentid as attach,f.forumid as forumid,f.title as forum from ".TABLE_PREFIX."thread as t
			LEFT JOIN ".TABLE_PREFIX."post as p on(t.firstpostid=p.postid)
			LEFT JOIN ".TABLE_PREFIX."attachment as a on(a.postid=p.postid)
			LEFT JOIN ".TABLE_PREFIX."forum as f on(t.forumid=f.forumid)
			where t.threadid='$threadid' 
			ORDER BY attach DESC
			LIMIT 1");
			
			//$key=0;
			while ($pic = $db->fetch_array($getpics)) {
			$replies=$pic['rcount'];
				if ($replies=='1') {
			$update="(1 update)";
				} elseif ($replies>'1') {
			$update="($replies updates)";
			} else {
				$update="";
			}
			$pic['pagetext'] = $bbcode_parser->do_parse($pic['pagetext']);
			
			// make compatible to FPSS
			$navlink = "showthread.php?t=".$threadid."";
			$imagepath = "attachment.php?attachmentid=".$pic['attach'];			
			$fpss_keytitle = ucwords($pic['title']);

			$key = $key + 1;
			if ($key < 10) { $key = "0".$key; }
			
			if ($use_mootools) {
				$html = "<li><a class=\"button off\" href=\"javascript:void(0);\"";
			} else {
				$html = "<li><a class=\"navi\" href=\"#".$div_id."\"";
			}
			if ($fpss_template == 'uncut') {
				$html .= " onclick=\"parent.location='".$navlink."';return false;\"";
			}	
			$html .= "><span class=\"fpss_key\">".$key."</span><span class=\"fpss_keytitle\">".$fpss_keytitle."</span><img src=\"".$imagepath."\" alt=\"FPSS Navigation\" /></a></li>";
			echo $html;
			$div_id++;
				}
			}
			$db->free_result($getpics);
			unset($pic);
			$db->free_result($getnews);
			unset($news);
			
			} else {
				//echo "Please select a forum ID!";
			}
		?>
        <?php if ($fpss_template != 'jj_obs') { ?>
        <?php if ($use_mootools) { ?>
        <li class="noimages"><a id="fpss-container_next" href="javascript:void(0);" class="button2" title="<?php echo _FPSS_MOD_NEXT; ?>">&raquo;</a></li>
        <li class="noimages"><a id="fpss-container_playButton" href="javascript:void(0);" class="button2">Pause</a></li>
        <?php } else { ?>
        <li class="noimages"><a id="fpss-container_next" href="javascript:void(0);" onclick="showNext();clearSlide();" title="<?php echo _FPSS_MOD_NEXT; ?>" >&raquo;</a></li>
        <li class="noimages"><a href="#play/pause" onclick="playButtonClicked();return false;" id="playButton">Pause</a></li>
        <?php } ?>
        <?php } ?>
        <?php if ($fpss_template == 'jj_obs') { ?>
        <?php if ($use_mootools) { ?>
        <li class="noimages"><a href="javascript:void(0);" id="fpss-container_next" class="button2" alt="<?php echo _FPSS_MOD_NEXT; ?>" title="<?php echo _FPSS_MOD_NEXT; ?>"><img src="<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/next.gif" alt="<?php echo _FPSS_MOD_NEXT; ?>" style="width:7px;height:12px;" /></a></li>
        <li class="noimages"><a href="javascript:void(0);" id="fpss-container_playButton" class="button2"><img src="<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/pause.gif" alt="Play/Pause Slide" style="width:12px;height:12px;" /></a></li>
        <li class="noimages"><a href="javascript:void(0);" id="fpss-container_prev" class="button2" alt="<?php echo _FPSS_MOD_PREV; ?>" title="<?php echo _FPSS_MOD_PREV; ?>"><img src="<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/prev.gif" alt="<?php echo _FPSS_MOD_PREV; ?>" style="width:7px;height:12px;" /></a></li>
        <li class="clr"></li>
        <?php } else { ?>
        <li class="noimages"><a href="javascript:void(0);" onclick="showNext();clearSlide();" alt="<?php echo _FPSS_MOD_NEXT; ?>" title="<?php echo _FPSS_MOD_NEXT; ?>"><img src="<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/next.gif" alt="<?php echo _FPSS_MOD_NEXT; ?>" style="width:7px;height:12px;" /></a></li>
        <li class="noimages"><a href="#play/pause" onclick="playButtonClicked();return false;" id="playButton"><img src="<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/pause.gif" alt="Play/Pause Slide" style="width:12px;height:12px;" /></a></li>
        <li class="noimages"><a href="javascript:void(0);" onclick="showPrev();clearSlide();" alt="<?php echo _FPSS_MOD_PREV; ?>" title="<?php echo _FPSS_MOD_PREV; ?>"><img src="<?php echo $fpssfolder;?>/mod_fpslideshow/jj_obs/prev.gif" alt="<?php echo _FPSS_MOD_PREV; ?>" style="width:7px;height:12px;" /></a></li>
        <li class="clr"></li>
        <?php } ?>
        <?php } ?>
      </ul>
    </div>
  </div>
</div>
<!-- JoomlaWorks "Frontpage Slideshow" for Joomla 1.0.x (v1.6 rev.1) ends here -->
